SCSIVolume (CMDB Model API)
Keywords: com.collation.platform.model.topology.dev.SCSIVolume interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.dev
Interface SCSIVolume

All Superinterfaces:
  LogicalDevice, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable, StorageExtent, StorageVolume

All Known Subinterfaces:
  FCVolume

    public interface SCSIVolume

extends StorageVolume

A volume attached to the host via a SCSI bus

This is a deliberate deviation from SMI-S and CIM in an attempt to simplify it. We're denormalizing the model in order to make it easier to navigate.

Persistable:
  true

Field Summary

Fields inherited from interface com.collation.platform.model.topology.dev.StorageVolume
`IBM_COPYRIGHT`

Method Summary
`int` | `getSCSIBus()` Local SCSI bus, channel
`int` | `getSCSILun()` Local SCSI LUN
`int` | `getSCSITarget()` Local SCSI target
`boolean` | `hasSCSIBus()`
`boolean` | `hasSCSILun()`
`boolean` | `hasSCSITarget()`
`void` | `setSCSIBus(int bus)`
`void` | `setSCSILun(int lun)`
`void` | `setSCSITarget(int target)`

Methods inherited from interface com.collation.platform.model.topology.dev.StorageVolume
`getIOGroup, getNumOfCylinders, getType, hasIOGroup, hasNumOfCylinders, hasType, setIOGroup, setNumOfCylinders, setType`

Methods inherited from interface com.collation.platform.model.topology.dev.StorageExtent
`getBasedOn, getBlockSize, getCapacity, getController, getDeviceID, getFreeSpace, getName, getNumOfBlocks, getParent, getRealizedBy, getVirtual, hasBasedOn, hasBlockSize, hasCapacity, hasController, hasDeviceID, hasFreeSpace, hasName, hasNumOfBlocks, hasParent, hasRealizedBy, hasVirtual, setBasedOn, setBlockSize, setCapacity, setController, setDeviceID, setFreeSpace, setName, setNumOfBlocks, setParent, setRealizedBy, setVirtual`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getSCSIBus

    int getSCSIBus()
                   throws AttributeNotSetException

  Local SCSI bus, channel

  Throws:
    `AttributeNotSetException`

### setSCSIBus

    void setSCSIBus(int bus)

### hasSCSIBus

    boolean hasSCSIBus()

### getSCSITarget

    int getSCSITarget()
                      throws AttributeNotSetException

  Local SCSI target

  Throws:
    `AttributeNotSetException`

### setSCSITarget

    void setSCSITarget(int target)

### hasSCSITarget

    boolean hasSCSITarget()

### getSCSILun

    int getSCSILun()
                   throws AttributeNotSetException

  Local SCSI LUN

  Throws:
    `AttributeNotSetException`

### setSCSILun

    void setSCSILun(int lun)

### hasSCSILun

    boolean hasSCSILun()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD